lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'esplanade/version'

Gem::Specification.new do |spec|
  spec.name           = 'esplanade'
  spec.version        = Esplanade::VERSION
  spec.authors        = ['d.efimov']
  spec.email          = ['d.efimov@fun-box.ru']

  spec.summary        = 'Validate requests and responses against API Blueprint specifications'
  spec.license        = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'json-schema', '~> 2.6', '>= 2.6.2'
  spec.add_runtime_dependency 'multi_json', '~> 1.11', '>= 1.11.1'
  spec.add_runtime_dependency 'tomograph', '~> 3.1', '>= 3.1.0'
  spec.add_development_dependency 'byebug', '>= 10.0.0'
  spec.add_development_dependency 'rake', '~> 13'
  spec.add_development_dependency 'rspec', '~> 3.9', '>= 3.9.0'
  spec.add_development_dependency 'rubocop', '~> 0.81', '>= 0.81.0'
  spec.add_development_dependency 'simplecov', '~> 0.18', '>= 0.18'
  spec.required_ruby_version = '>= 2.4.0'
end
